org.mariadb.jdbc.internal.com.send.gssapi

## Class WindowsNativeSspiAuthentication

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.gssapi.GssapiAuth
  - - org.mariadb.jdbc.internal.com.send.gssapi.WindowsNativeSspiAuthentication

    public class WindowsNativeSspiAuthentication
    extends GssapiAuth

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.com.send.gssapi.GssapiAuth

`packSeq, reader`

### Constructor Summary

Constructors
Constructor and Description
`WindowsNativeSspiAuthentication(PacketInputStream reader, int packSeq)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `authenticate(PacketOutputStream writer, String serverPrincipalName, String mechanisms)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsNativeSspiAuthentication

    public WindowsNativeSspiAuthentication(PacketInputStream reader,
                                           int packSeq)

### Method Detail

#### authenticate

    public void authenticate(PacketOutputStream writer,
                             String serverPrincipalName,
                             String mechanisms)
                      throws SQLException,
                             IOException

Specified by:
  `authenticate` in class `GssapiAuth`
Throws:
  `SQLException`
  `IOException`